Deconstruct/Reconstruct part 2
==============================

For this exercise you will be taking on both the roles of _Client_ and _Freelance Developer_ with another group member. You will practice receiving a design from your _Client_ and turning into a working web page. You will then swap roles and become a Client to your groupmate, who will work on turning your design into a web page.

Goals
--------

This is a group exercise, meant to be completed in pairs of 2. If your group has an 5 members, one of your group members can be the _Client_ for two other group members, instead of just one.

*This assignment should be completed in a week, and take 3-5 hours total.*

Each group should submit a zip file containing:

- a text file with each group member's name and Goldsmiths email address
- a separate folder for each member's visual design containing:
  - a wireframe image of the desired web page
  - HTML, CSS and images for the working web design 

### Assessment

This is worth 10% of your mark (1/2 your group mark).

You will be marked on how well each of your group members create their web pages:

1. applying technical skill in choosing the correct HTML elements and applying CSS styling **2 points**
2. the way the wireframe shows how those elements are organised into groups, sub-groups and lists **2 points**
3. basic accessibility such as choosing large enough font sizes, using Header elements correctly, adding alt tags to images and comments to your code **2 points**
4. how closely the pages look like the original design! **2 points**
5. a teamwork bonus when *all* your group submits. **2 points** 

Steps
------

### Part 1: Fix your wireframe

Go back to your wireframe from the first assignment called "Website Deconstruction/reconstruction part 1." Fix up your wireframe and make it into a _high-fidelity wireframe_. Simplify it *a lot* so it isn't so complicated (not too many levels of information), then re-make it using a wireframing tool like those shown below in the bottom section of this page. Use some colour, appropriate fonts and example content like images.

### Part 2: Find a partner

In your group, find a partner to work with. Use the special group forum ([in week 4 on Learn](https://learn.gold.ac.uk/mod/forum/view.php?id=883015))to communicate with one another. (You can share a partner with someone else if necessary).

### Part 4: Discuss your wireframe

Discuss your wireframe with your partner, who is now your _Freelance Web Developer_. You are their _Client_ or _Information Architect_. Go through each section and element in the site with them in a group call. Explain anything that isn't clear to them so they know how to implement it properly.

### Part 5: Make a web page

Your partner should use your wireframe and your feedback to construct *part* of a working web page. Pick a section to turn into HTML: the top header nav, a main section of content, or the footer. Keep in mind this part should take you ~3hrs to complete.

You can make a simpler, vertical-scrolling one without columns using lists and DIVs and article elements, etc. 

Or, you can use [one of our example layouts](layouts.html) in 2 columns, 3 columns, mixed column layout, all with `header` and `footer` elements.

Add example content from the web that you think is appropriate but make sure to make it accessible (alt tags for images, proper choices of *semantic* html tag types that you have already used like `article`, `section`, `nav`, etc.).

### Part 6: Swap Roles and Repeat

Swap roles with your partner so now you are the _Freelance Web Developer_ and they are the _Client_ or _Information Architect_. Follow steps 1-5 again in these reversed roles until you both have high-fidelity wireframes and completed web pages.

### Part 7: Check in with the rest of the group

Check in with the rest of the group by scheduling a brief group Teams call. Make sure _everyone_ has completed the assignment. If not, help them out! You will get a group mark for this project based on everyone's work.

### Extra credit

- Use some CSS styling to differentiate sections better, such as colour, borders, border radius and top and bottom margins
- Very advanced: include one or more Bootstrap elements like menus, etc.

If you have group issues
------------------------

Your lecturers are here to project manage the groups. If there are issues, please come as a group to Virtual Contact Time so we can discuss and mediate.

We can discuss uneven workloads, scheduling problems, missing group members, or just the basic assignment instructions.

### Wireframing tools and resources

Some are free, some cost money. All are perfectly usable!

- [Pencil](https://github.com/evolus/pencil/tree/development)
- AdobeXD (Adobe's wireframing tool) [has a tutorial on a basic grid layout website](https://helpx.adobe.com/uk/xd/how-to/setup-web-design-grid.html?playlist=/services/playlist.helpx/products:SG_XD/learn-path:key-techniques/playlist:topic/set-header:xd-projects/en_GB.json&ref=helpx.adobe.com), showing structure and layout basics
- [InkScape](http://inkscape.org) is a free and open source vector graphics program that's excellent for this sort of thing
- [Sketch](https://www.sketch.com/)
- [Figma](https://www.figma.com/)
- [InVisionApp](https://www.invisionapp.com/)
- Adobe Illustrator
- PowerPoint
- Keynote

### Other resources

- [HTML5 for web designers](https://librarysearch.gold.ac.uk/permalink/f/s9ouig/44GOL_SYMPHONY225142) great reference on basic HTML
